<script>
	import {newsRemind} from "@/utils/api/api.js";//获取商家消息
	export default {
		onLaunch: function() {
			console.log('App Launch');
			
			// #ifdef APP-PLUS
			//app关闭默认的启动 方法关闭启动图。但是这个时间不能太晚，6s 超时后依旧会主动关闭。
			setTimeout(()=>{
				plus.navigator.closeSplashscreen();
			},100)
			// #endif
			
			setTimeout(()=>{
				this.getnewsRemind();//不要一上来就提示
			},15000)
		},
		onShow: function() {
			console.log('App Show')
		}, 
		onHide: function() {
			console.log('App Hide')
		},
		methods:{
			//获取 语音消息
			async getnewsRemind(){
				console.info("66344554");
				var date = new Date();
				let hours = date.getHours();//当前 时间 小时
				let datestime = 15000;//默认15秒
				console.info(hours);
				if(hours==11 || hours==12 || hours==13 ){//1级别 高峰时间
					datestime = 5000;//高峰时期 5s一次
				}else if(hours==10 ||  hours==14){//1级别
					datestime = 8000;//高峰时期 5s一次
				}
				else{
					datestime = 15000;
				}
				
				
				if(this.$store.state.token!=""){//判断是否 已登录
					
					let res = await newsRemind({
						
					})
					console.info(".99999",res);
					if(res.code==0){
						console.info("0000000000");

						if(res.data.length!=0){
							//进来了就是有消息
							let msglist = res.data;
							
							console.info("循环消息列表");
							
							if(msglist.length==1){
								//一条就播放 如果多条 直接告诉商家多少条
								// isvoice 开关
								if(this.$store.state.isvoice){
									this.$store.dispatch('AudioVoice',msglist[0].message).then((e) => {
										console.log(e);
										
										console.info("循环消息列表2");
										//震动 调用//400ms//长震动
										uni.vibrateLong({
											success:(re)=> {
											},
											fail:(a)=> {
											}
										})
									})
								}else{
									//震动 调用//400ms//长震动
									uni.vibrateLong({
										success:(re)=> {
										},
										fail:(a)=> {
										}
									})
								}
								
							}else{
								//多条的时候
								console.info("提示多条订单~");
								let msgtext = `你有${msglist.length}条新的鹿马订单了,请及时处理`;
								if(this.$store.state.isvoice){
									this.$store.dispatch('AudioVoice',msgtext).then((e) => {
										console.log(e);
										
										console.info("循环消息列表2");
										//震动 调用//400ms//长震动
										uni.vibrateLong({
											success:(re)=> {
											},
											fail:(a)=> {
											}
										})
									})
								}else{
									//震动 调用//400ms//长震动
									uni.vibrateLong({
										success:(re)=> {
										},
										fail:(a)=> {
										}
									})
								}
								
							}
							
							
							// for(let i=0;i<msglist.length;i++){
							// 	let item = msglist[i];
							// 	// item.message
								
							// 	// isvoice 开关
							// 	if(this.$store.state.isvoice){
							// 		this.$store.dispatch('AudioVoice',item.message).then((e) => {
							// 			console.log(e);
										
							// 			console.info("循环消息列表2");
							// 			//震动 调用//400ms//长震动
							// 			uni.vibrateLong({
							// 				success:(re)=> {
							// 				},
							// 				fail:(a)=> {
							// 				}
							// 			})
							// 		})
							// 	}else{
							// 		//震动 调用//400ms//长震动
							// 		uni.vibrateLong({
							// 			success:(re)=> {
							// 			},
							// 			fail:(a)=> {
							// 			}
							// 		})
							// 	}
								
							// }
							
							console.info("循环消息列表3");
							
							//回调
							setTimeout(()=>{
								this.getnewsRemind()
							},datestime)
							
							
						}else{
							//获取到的消息列表为空列表
							//回调
							setTimeout(()=>{
								this.getnewsRemind()
							},datestime)
						}
						
						
						
					}else{
						//回调
						setTimeout(()=>{
							this.getnewsRemind()
						},datestime)
					}
				}else{
					//回调
					setTimeout(()=>{
						this.getnewsRemind()
					},datestime)
				}
			}
		}
	}
</script>

<style>
	/*每个页面公共css */
    @import "colorui/main.css";
    @import "colorui/icon.css";
    @import "./common/uni.css";
	
	@import './common/qiun.css';
	@import './style.css';
</style>
